## tea 50.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set (QT_MIN_VERSION "5.4.0")

include_directories(${Qt5Widgets_INCLUDE_DIRS})
add_definitions(${Qt5Widgets_DEFINITIONS})
add_definitions(${Qt5Widgets_COMPILE_DEFINITIONS})


set(PROJECT "tea-qt")
project ($PROJECT VERSION 50.0.4)
add_definitions(-DVERSION_NUMBER="\\"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}\\"")


if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
   add_definitions(-DQ_OS_LINUX)
   add_definitions(-DQ_OS_UNIX)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

message("CMAKE_SYSTEM_NAME: ${CMAKE_SYSTEM_NAME}")


find_package(PkgConfig REQUIRED)
pkg_check_modules(hunspell hunspell)
if(hunspell_FOUND)
  add_definitions(-DHUNSPELL_ENABLE)
  message("+ hunspell support")
endif()


find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets)


if(DEFINED USE_QML)
message("QML IS SUPPORTED")
find_package(Qt5 ${QT_MIN_VERSION} CONFIG OPTIONAL_COMPONENTS Qml Quick)
add_definitions(-DUSE_QML_STUFF)
endif(DEFINED USE_QML)


if(BUILD_TESTING)
  find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
endif()


qt5_add_resources(QT_RESOURCES resources.qrc)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")


file(GLOB tea_SRCS "*.c" "*.cpp")
file(GLOB tea_HEADERS "*.h")


set(tea_ICONPNG32
    ./icons/32/tea.png
)


set(tea_ICONPNG48
    ./icons/48/tea.png
)


set(tea_ICONPNG64
    ./icons/64/tea.png
)


set(tea_ICONPNG128
    ./icons/128/tea.png
)

set(tea_ICONSVG
    ./icons/svg/tea.svg
)

set(tea_DESKTOP
    ./desktop/tea.desktop
)


#add_custom_target(dist
#COMMAND git archive --prefix=${PROJECT}-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}/ master | bzip2 >${PROJECT}-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}.tar.bz2
#WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
#)

add_custom_target(dist
COMMAND git archive --format=tar --prefix=${PROJECT}-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}/ HEAD | gzip >${PROJECT}-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}.tar.gz
WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
)


add_executable(tea ${tea_SRCS} ${QT_RESOURCES})


find_package(Qt5PrintSupport)
if (Qt5PrintSupport_FOUND)
   Message ("+ printer support")
   add_definitions(-DPRINTER_ENABLE)
   target_link_libraries(tea Qt5::PrintSupport)
endif()


if (EXISTS "/usr/include/linux/joystick.h")
   message("+JOYSTICK_SUPPORTED")
   add_definitions(-DJOYSTICK_SUPPORTED)
endif()


find_path(ASPELL_INCLUDES aspell.h
         "/usr/include/"
         "/usr/local/"
        )


if(ASPELL_INCLUDES)

  message("+ aspell support")
  add_definitions(-DASPELL_ENABLE)

if(OS2)
  target_link_libraries(tea aspell_dll.a)
else()
  target_link_libraries(tea libaspell.so)
endif()

endif()


find_package(PkgConfig)
pkg_check_modules(popplerqt5 poppler-qt5)
if(popplerqt5_FOUND)
  add_definitions(-DPOPPLER_ENABLE)
  target_link_libraries(tea ${popplerqt5_LIBRARIES})
  include_directories(${popplerqt5_INCLUDE_DIRS})
  message("+ poppler support")
endif()


find_package(PkgConfig)
pkg_check_modules(ddjvuapi ddjvuapi)
if(ddjvuapi_FOUND)
  add_definitions(-DDJVU_ENABLE)
  target_link_libraries(tea ${ddjvuapi_LIBRARIES})
  include_directories(${ddjvuapi_INCLUDE_DIRS})
  message("+ djvuapi support")
endif()


if(UNIX OR MINGW OR OS2)
    find_package(ZLIB REQUIRED)
else(UNIX OR MINGW)
    set(ZLIB_INCLUDE_DIRS "${QT_ROOT}/src/3rdparty/zlib" CACHE STRING "Path to ZLIB headers of Qt")
    set(ZLIB_LIBRARIES "")
    if(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
        message("Please specify a valid zlib include dir")
    endif(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
endif(UNIX OR MINGW OR OS2)


if (ZLIB_FOUND)
    include_directories(${ZLIB_INCLUDE_DIRS} )
    target_link_libraries(tea ${ZLIB_LIBRARIES} )
endif( ZLIB_FOUND )

if(hunspell_FOUND)
  include_directories(${hunspell_INCLUDE_DIRS} )
  target_link_libraries(tea ${hunspell_LIBRARIES} )
endif()

target_link_libraries(tea Qt5::Widgets Qt5::Core)

if(DEFINED USE_QML)
target_link_libraries(tea Qt5::Qml Qt5::Quick)
endif()


install (TARGETS tea DESTINATION bin)
install (FILES ${tea_ICONSVG} DESTINATION share/icons/hicolor/scalable/apps)
install (FILES ${tea_ICONPNG32} DESTINATION share/icons/hicolor/32x32/apps)
install (FILES ${tea_ICONPNG48} DESTINATION share/icons/hicolor/48x48/apps)
install (FILES ${tea_ICONPNG64} DESTINATION share/icons/hicolor/64x64/apps)
install (FILES ${tea_ICONPNG128} DESTINATION share/icons/hicolor/128x128/apps)

install (FILES ${tea_DESKTOP} DESTINATION share/applications)

=== debian/changelog ===
tea (50.0.4-1) unstable; urgency=medium

  * New upstream version 50.0.4
  * Update Standards-Version to 4.5.0, no changes needed
  * Support cross building.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #922535)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 05 Apr 2020 23:48:34 +0200

=== debian/control ===
Source: tea
Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
Section: editors
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libaspell-dev,
               libdjvulibre-dev,
               libhunspell-dev,
               libpoppler-qt5-dev,
               libqt5qml5,
               libqt5quick5,
               pkg-config,
               qtbase5-dev,
               qtdeclarative5-dev,
               qttools5-dev-tools,
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/tea
Vcs-Git: https://salsa.debian.org/debian/tea.git
Homepage: https://tea.ourproject.org/
Rules-Requires-Root: no

Package: tea
Architecture: any
Depends: tea-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: antiword,
            aspell | hunspell,
            bzip2
Description: graphical text editor with syntax highlighting
 TEA provides you with hundreds of functions. Want some tea?
 .
 TEA features:
  * Qt-based GUI with a tabbed layout engine;
  * hotkey customization;
  * spell checking (using aspell or hunspell);
  * support for multiple encodings;
  * syntax highlighting;
  * support for code snippets and templates;
  * string-handling functions such as sorting, reversing, de-formatting,
    trimming, filtering, conversions etc.;
  * editing support for Wikipedia, DocBook, LaTeX, and Lout;
  * reading support for text-based word processor formats (ABW, DOCX, FB2,
    KWD, ODT, RTF, SLA, SWX);
  * reading support for PDF and DjVu files, if they contain text;
  * bookmarks;
  * miscellaneous XML/XHTML/HTML tools;
  * "open at cursor" function from HTML href or img tags;
  * preview in external browsers;
  * drag'n'drop support (with text files and pictures);
  * built-in image viewer (BMP, GIF, JPEG, PNG, SVG, WBMP).

Package: tea-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: tea
Description: graphical text editor with syntax highlighting - data files
 TEA provides you with hundreds of functions. Want some tea?
 .
 This package contains static data needed for the package tea.

## tea 61.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,59 +1,96 @@
 cmake_minimum_required(VERSION 3.0)
 set (QT_MIN_VERSION "5.4.0")
-
-include_directories(${Qt5Widgets_INCLUDE_DIRS})
-add_definitions(${Qt5Widgets_DEFINITIONS})
-add_definitions(${Qt5Widgets_COMPILE_DEFINITIONS})
-
-
-set(PROJECT "tea-qt")
-project ($PROJECT VERSION 50.0.4)
-add_definitions(-DVERSION_NUMBER="\\"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}\\"")
-
-
-if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-   add_definitions(-DQ_OS_LINUX)
-   add_definitions(-DQ_OS_UNIX)
-endif()
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTORCC ON)
 
+enable_language(CXX)
+enable_language(C)
+
+#set(CMAKE_CXX_STANDARD 17)
+#set(CMAKE_CXX_STANDARD_REQUIRED ON)
+
+find_package(QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
+#find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)
+
+
+if(Qt${QT_VERSION_MAJOR} STREQUAL "Qt6")
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Core5Compat REQUIRED)
+endif()
+
+
+if(Qt${QT_VERSION_MAJOR} STREQUAL "Qt5")
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)
+endif()
+
+
+message(Qt${QT_VERSION_MAJOR} " found")
+
+
+include_directories(${Qt${QT_VERSION_MAJOR}Widgets_INCLUDE_DIRS})
+add_definitions(${Qt${QT_VERSION_MAJOR}Widgets_DEFINITIONS})
+add_definitions(${Qt${QT_VERSION_MAJOR}Widgets_COMPILE_DEFINITIONS})
+
+
+set(PROJECT "tea-qt")
+project ($PROJECT VERSION 61.1.0 LANGUAGES CXX C)
+add_definitions(-DVERSION_NUMBER="\\"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}\\"")
+add_definitions(-DNOCRYPT=1)
+add_definitions(-DNOUNCRYPT=1)
+add_definitions(-DQUAZIP_STATIC=1)
+
+option(USE_ASPELL "Use Aspell" OFF)
+option(USE_PRINTER "Use printer support" OFF)
+option(USE_PDF "Use libpoppler" OFF)
+option(USE_DJVU "Use djvu support" OFF)
+
+
+if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+   add_definitions(-DQ_OS_LINUX)
+   add_definitions(-DQ_OS_UNIX)
+endif()
+
+
 message("CMAKE_SYSTEM_NAME: ${CMAKE_SYSTEM_NAME}")
 
 
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(hunspell hunspell)
+
+pkg_check_modules(hunspell QUIET hunspell)
 if(hunspell_FOUND)
   add_definitions(-DHUNSPELL_ENABLE)
   message("+ hunspell support")
 endif()
 
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets)
-
-
-if(DEFINED USE_QML)
-message("QML IS SUPPORTED")
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG OPTIONAL_COMPONENTS Qml Quick)
-add_definitions(-DUSE_QML_STUFF)
-endif(DEFINED USE_QML)
+find_package(Qt${QT_VERSION_MAJOR} CONFIG REQUIRED Core Widgets)
 
 
 if(BUILD_TESTING)
-  find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
-endif()
-
-
+  find_package(Qt${Test}${QT_VERSION_MAJOR} CONFIG REQUIRED)
+endif()
+
+
+if(Qt${QT_VERSION_MAJOR} STREQUAL "Qt6")
+qt6_add_resources(QT_RESOURCES resources.qrc)
+endif()
+
+if (Qt${QT_VERSION_MAJOR} MATCHES "Qt5")
 qt5_add_resources(QT_RESOURCES resources.qrc)
-
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")
+endif()
+
+
+#qt6_add_resources(QT_RESOURCES resources.qrc)
+#Qt${QT_VERSION_MAJOR}_add_resources(QT_RESOURCES resources.qrc)
+
+
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt${QT_VERSION_MAJOR}Widgets_EXECUTABLE_COMPILE_FLAGS}")
 
 
 file(GLOB tea_SRCS "*.c" "*.cpp")
-file(GLOB tea_HEADERS "*.h")
+file(GLOB tea_HEADERS "*.h" ".*hpp")
 
 
 set(tea_ICONPNG32
@@ -98,11 +135,13 @@
 add_executable(tea ${tea_SRCS} ${QT_RESOURCES})
 
 
-find_package(Qt5PrintSupport)
-if (Qt5PrintSupport_FOUND)
+if(USE_PRINTER)
+find_package(Qt${QT_VERSION_MAJOR}PrintSupport)
+if (Qt${PrintSupport}_FOUND)
    Message ("+ printer support")
    add_definitions(-DPRINTER_ENABLE)
-   target_link_libraries(tea Qt5::PrintSupport)
+   target_link_libraries(tea Qt${QT_VERSION_MAJOR}::PrintSupport)
+endif()
 endif()
 
 
@@ -112,6 +151,9 @@
 endif()
 
 
+if(USE_ASPELL)
+
+message("SEARCH ASPELL")
 find_path(ASPELL_INCLUDES aspell.h
          "/usr/include/"
          "/usr/local/"
@@ -119,7 +161,6 @@
 
 
 if(ASPELL_INCLUDES)
-
   message("+ aspell support")
   add_definitions(-DASPELL_ENABLE)
 
@@ -131,24 +172,43 @@
 
 endif()
 
-
+endif()
+
+
+if(USE_PDF)
 find_package(PkgConfig)
-pkg_check_modules(popplerqt5 poppler-qt5)
+
+if(Qt${QT_VERSION_MAJOR} STREQUAL "Qt5")
+pkg_check_modules(popplerqt5 QUIET poppler-qt5)
 if(popplerqt5_FOUND)
   add_definitions(-DPOPPLER_ENABLE)
   target_link_libraries(tea ${popplerqt5_LIBRARIES})
   include_directories(${popplerqt5_INCLUDE_DIRS})
   message("+ poppler support")
 endif()
-
-
+endif()
+
+if(Qt${QT_VERSION_MAJOR} STREQUAL "Qt6")
+pkg_check_modules(popplerqt6 QUIET poppler-qt6)
+if(popplerqt6_FOUND)
+  add_definitions(-DPOPPLER_ENABLE)
+  target_link_libraries(tea ${popplerqt6_LIBRARIES})
+  include_directories(${popplerqt6_INCLUDE_DIRS})
+  message("+ poppler support")
+endif()
+endif()
+
+endif()
+
+if(USE_DJVU)
 find_package(PkgConfig)
-pkg_check_modules(ddjvuapi ddjvuapi)
+pkg_check_modules(ddjvuapi QUIET ddjvuapi)
 if(ddjvuapi_FOUND)
   add_definitions(-DDJVU_ENABLE)
   target_link_libraries(tea ${ddjvuapi_LIBRARIES})
   include_directories(${ddjvuapi_INCLUDE_DIRS})
   message("+ djvuapi support")
+endif()
 endif()
 
 
@@ -173,10 +233,14 @@
   target_link_libraries(tea ${hunspell_LIBRARIES} )
 endif()
 
-target_link_libraries(tea Qt5::Widgets Qt5::Core)
-
-if(DEFINED USE_QML)
-target_link_libraries(tea Qt5::Qml Qt5::Quick)
+
+if(Qt${QT_VERSION_MAJOR} STREQUAL "Qt6")
+   target_link_libraries(tea Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Core Qt6::Core5Compat)
+endif()
+
+
+if(Qt${QT_VERSION_MAJOR} STREQUAL "Qt5")
+target_link_libraries(tea Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Core)
 endif()
 
 
@@ -188,4 +252,3 @@
 install (FILES ${tea_ICONPNG128} DESTINATION share/icons/hicolor/128x128/apps)
 
 install (FILES ${tea_DESKTOP} DESTINATION share/applications)
-

=== meson_options.txt ===
option('pdf', type : 'feature', value : 'disabled')
option('djvu', type : 'feature', value : 'disabled')
option('aspell', type : 'feature', value : 'disabled')

=== debian/changelog ===
tea (61.1.0-2) unstable; urgency=medium

  * Use cmake instead of qmake, as suggested by upstream
  * Add installation hints
  * Drop patch for qmake (no longer used to build the package)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 30 Oct 2022 16:55:34 +0100

tea (61.1.0-1) unstable; urgency=medium

  * New upstream version 61.1.0
    - Refresh patch
    - Drop Build-Depends on libqt5qml5 and libqt5quick5
    - Use README.md as documentation
  * Add gbp.conf
  * Update Standards-Version to 4.6.1, no changes needed
  * Use debhelper v13
  * Update d/copyright
  * Add lintian overrides for two false positive errors

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 30 Oct 2022 16:12:45 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Use Qt5
export QT_SELECT=qt5
# Reduce unneeded linked libraries
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
# Use all hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	LC_ALL=C.UTF-8 dh $@ --buildsystem=cmake

override_dh_auto_configure:
	LC_ALL=C.UTF-8 dh_auto_configure -O--buildsystem=cmake -- -DUSE_ASPELL=ON -DUSE_PRINTER=ON -DUSE_PDF=ON -DUSE_DJVU=ON

## tea 61.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,11 +9,7 @@
 enable_language(CXX)
 enable_language(C)
 
-#set(CMAKE_CXX_STANDARD 17)
-#set(CMAKE_CXX_STANDARD_REQUIRED ON)
-
 find_package(QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
-#find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)
 
 
 if(Qt${QT_VERSION_MAJOR} STREQUAL "Qt6")
@@ -25,9 +21,7 @@
 find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)
 endif()
 
-
 message(Qt${QT_VERSION_MAJOR} " found")
-
 
 include_directories(${Qt${QT_VERSION_MAJOR}Widgets_INCLUDE_DIRS})
 add_definitions(${Qt${QT_VERSION_MAJOR}Widgets_DEFINITIONS})
@@ -35,7 +29,7 @@
 
 
 set(PROJECT "tea-qt")
-project ($PROJECT VERSION 61.1.0 LANGUAGES CXX C)
+project ($PROJECT VERSION 61.2.0 LANGUAGES CXX C)
 add_definitions(-DVERSION_NUMBER="\\"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}\\"")
 add_definitions(-DNOCRYPT=1)
 add_definitions(-DNOUNCRYPT=1)

=== debian/changelog ===
tea (61.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-bug-tracking.html
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
    Changes-By: lintian-brush
    Fixes: lintian: debian-rules-uses-as-needed-linker-flag
    See-also: https://lintian.debian.org/tags/debian-rules-uses-as-needed-linker-flag.html

  [ Dr. Tobias Quathamer ]
  * New upstream version 61.2.0
  * Add new patch to enable build options in CMakeLists.txt
  * Remove unneeded custom dh_auto_configure rule

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 06 Nov 2022 15:16:38 +0100

## tea 62.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 
 set(PROJECT "tea-qt")
-project ($PROJECT VERSION 61.2.0 LANGUAGES CXX C)
+project ($PROJECT VERSION 62.0.1 LANGUAGES CXX C)
 add_definitions(-DVERSION_NUMBER="\\"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}\\"")
 add_definitions(-DNOCRYPT=1)
 add_definitions(-DNOUNCRYPT=1)

=== debian/changelog ===
tea (62.0.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 61.2.0-1.
    Changes-By: lintian-brush
    Fixes: lintian: debian-changelog-line-too-long
    See-also: https://lintian.debian.org/tags/debian-changelog-line-too-long.html
  * Set upstream metadata fields: Repository.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-missing-repository
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-repository.html

  [ Dr. Tobias Quathamer ]
  * New upstream version 62.0.2

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 06 Feb 2023 13:53:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,18 @@
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
 Section: editors
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: cmake,
+               debhelper-compat (= 13),
                libaspell-dev,
                libdjvulibre-dev,
                libhunspell-dev,
                libpoppler-qt5-dev,
-               libqt5qml5,
-               libqt5quick5,
                pkg-config,
                qtbase5-dev,
                qtdeclarative5-dev,
                qttools5-dev-tools,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/tea
 Vcs-Git: https://salsa.debian.org/debian/tea.git
 Homepage: https://tea.ourproject.org/

=== debian/rules ===
#!/usr/bin/make -f

# Use Qt5
export QT_SELECT=qt5
# Use all hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	LC_ALL=C.UTF-8 dh $@ --buildsystem=cmake

## tea 63.1.0

=== CMakeLists.txt ===
#cmake_minimum_required(VERSION 3.0)
cmake_minimum_required(VERSION 3.21.1)

set (QT_MIN_VERSION "5.4.0")

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

enable_language(CXX)
enable_language(C)

#find_package(Qt6 COMPONENTS Core Widgets OPTIONAL_COMPONENTS PrintSupport)
find_package(Qt6 COMPONENTS Core Widgets)
if (NOT Qt6_FOUND)
    find_package(Qt5 5.15 REQUIRED COMPONENTS Core Widgets)
endif()


if (Qt6_FOUND)
message("+ Qt6 found")
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
#find_package(Qt6 COMPONENTS Core5Compat REQUIRED)
endif()


#qt_standard_project_setup()
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)


set(PROJECT "tea-qt")
project ($PROJECT VERSION 63.1.0 LANGUAGES CXX C)
qt_add_resources(QT_RESOURCES resources.qrc)

add_definitions(-DVERSION_NUMBER="\\"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}\\"")

option(USE_NUSPELL "Use Nuspell" OFF)
option(USE_ASPELL "Use Aspell" OFF)
option(USE_HUNSPELL "Use Hunspell" ON)
#option(USE_PRINTER "Use printer support" OFF)
option(USE_PDF "Use libpoppler" OFF)
option(USE_DJVU "Use djvu support" OFF)
option(USE_MAC "Build for Mac" OFF)
option(USE_SPEECH "Use Speech Dispatcher" OFF)


if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
   add_definitions(-DQ_OS_LINUX)
   add_definitions(-DQ_OS_UNIX)
endif()


message("CMAKE_SYSTEM_NAME: ${CMAKE_SYSTEM_NAME}")


set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${QtWidgets_EXECUTABLE_COMPILE_FLAGS}")

file(GLOB tea_SRCS "src/*.c" "src/*.cpp")
file(GLOB tea_HEADERS "src/*.h" "src/.*hpp")


set(tea_ICONPNG32
    ./icons/32/tea.png
)


set(tea_ICONPNG48
    ./icons/48/tea.png
)


set(tea_ICONPNG64
    ./icons/64/tea.png
)


set(tea_ICONPNG128
    ./icons/128/tea.png
)

set(tea_ICONSVG
    ./icons/svg/tea.svg
)

set(tea_DESKTOP
    ./desktop/tea.desktop
)

add_custom_target(dist
COMMAND git archive --format=tar --prefix=${PROJECT}-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}/ HEAD | gzip >${PROJECT}-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}.tar.gz
WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
)


add_executable(tea ${tea_SRCS} ${QT_RESOURCES})

#if (USE_MAC)
#set_target_properties(tea PROPERTIES MACOSX_BUNDLE TRUE)
#endif()

set_target_properties(tea PROPERTIES
    WIN32_EXECUTABLE ON
    MACOSX_BUNDLE ON
)

find_package(PkgConfig REQUIRED)

if (Qt6_FOUND)
if(USE_NUSPELL)
pkg_check_modules(nuspell QUIET nuspell)
if(nuspell_FOUND)
  add_definitions(-DNUSPELL_ENABLE)
  target_link_libraries(tea ${nuspell_LIBRARIES})
  include_directories(${nuspell_INCLUDE_DIRS})
  message("+ nuspell support")
endif()

endif()
endif()
#end of Qt6/Nuspell


if(USE_HUNSPELL)
pkg_check_modules(hunspell QUIET hunspell)
if(hunspell_FOUND)
  add_definitions(-DHUNSPELL_ENABLE)
  message("+ hunspell support")
endif()
endif()


if(USE_SPEECH)
pkg_check_modules(SPEECH QUIET speech-dispatcher>=0.0.1)
if (SPEECH_FOUND)
   Message ("+ speech support")
   add_definitions(-DSPEECH_ENABLE)
   target_include_directories(tea PUBLIC ${SPEECH_INCLUDE_DIRS})
   target_link_libraries(tea ${SPEECH_LIBRARIES})
endif()
endif()



if(USE_PRINTER)
find_package(Qt6PrintSupport QUIET)
if (Qt6PrintSupport_FOUND)
   Message ("+ Qt6 printer support")
   add_definitions(-DPRINTER_ENABLE)
   target_link_libraries(tea Qt6::PrintSupport)
else()
find_package(Qt5PrintSupport QUIET)
if (Qt5PrintSupport_FOUND)
   Message ("+ Qt5 printer support")
   add_definitions(-DPRINTER_ENABLE)
   target_link_libraries(tea Qt5::PrintSupport)
endif()
endif()
endif()


if (EXISTS "/usr/include/linux/joystick.h")
   message("+JOYSTICK_SUPPORTED")
   add_definitions(-DJOYSTICK_SUPPORTED)
endif()


if(USE_ASPELL)

message("SEARCH ASPELL")
find_path(ASPELL_INCLUDES aspell.h
         "/usr/include/"
         "/usr/local/"
        )


if(ASPELL_INCLUDES)
  message("+ aspell support")
  add_definitions(-DASPELL_ENABLE)

if(OS2)
  target_link_libraries(tea aspell_dll.a)
else()
  target_link_libraries(tea libaspell.so)
endif()

endif()

endif()


if(USE_PDF)
find_package(PkgConfig)
pkg_check_modules(popplercpp QUIET poppler-cpp)
if(popplercpp_FOUND)
  add_definitions(-DPOPPLER_ENABLE)
  target_link_libraries(tea ${popplercpp_LIBRARIES})
  include_directories(${popplercpp_INCLUDE_DIRS})
  message("+ popplercpp support")
endif()
endif()


if(USE_DJVU)
find_package(PkgConfig)
pkg_check_modules(ddjvuapi QUIET ddjvuapi)
if(ddjvuapi_FOUND)
  add_definitions(-DDJVU_ENABLE)
  target_link_libraries(tea ${ddjvuapi_LIBRARIES})
  include_directories(${ddjvuapi_INCLUDE_DIRS})
  message("+ djvuapi support")
endif()
endif()


#if(UNIX OR MINGW OR OS2)
#    find_package(ZLIB REQUIRED)
#else(UNIX OR MINGW)
#    set(ZLIB_INCLUDE_DIRS "${QT_ROOT}/src/3rdparty/zlib" CACHE STRING "Path to ZLIB headers of Qt")
#    set(ZLIB_LIBRARIES "")
#    if(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
#        message("Please specify a valid zlib include dir")
#    endif(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
#endif(UNIX OR MINGW OR OS2)


#if (ZLIB_FOUND)
#    include_directories(${ZLIB_INCLUDE_DIRS} )
#    target_link_libraries(tea ${ZLIB_LIBRARIES} )
#endif( ZLIB_FOUND )

if(hunspell_FOUND)
  include_directories(${hunspell_INCLUDE_DIRS} )
  target_link_libraries(tea ${hunspell_LIBRARIES} )
endif()




#if (Qt6_FOUND)
#target_link_libraries(tea Qt::Core5Compat)
#endif()

target_link_libraries(tea Qt::Widgets Qt::Core)

install (TARGETS tea DESTINATION bin)
install (FILES ${tea_ICONSVG} DESTINATION share/icons/hicolor/scalable/apps)
install (FILES ${tea_ICONPNG32} DESTINATION share/icons/hicolor/32x32/apps)
install (FILES ${tea_ICONPNG48} DESTINATION share/icons/hicolor/48x48/apps)
install (FILES ${tea_ICONPNG64} DESTINATION share/icons/hicolor/64x64/apps)
install (FILES ${tea_ICONPNG128} DESTINATION share/icons/hicolor/128x128/apps)

install (FILES ${tea_DESKTOP} DESTINATION share/applications)

=== debian/changelog ===
tea (63.1.0-2) unstable; urgency=medium

  * Update manpage and convert to AsciiDoc. Closes: #1083003
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 30 Sep 2024 10:07:27 +0200

tea (63.1.0-1) unstable; urgency=medium

  * New upstream version 63.1.0
    - Refresh patch
    - Mark patch as not needing to be forwarded
  * Change Build-Depends from pkg-config to pkgconf
  * Update Standards-Version to 4.7.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 22 Aug 2024 22:12:09 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                libdjvulibre-dev,
                libhunspell-dev,
                libpoppler-qt5-dev,
-               pkg-config,
+               pkgconf,
                qtbase5-dev,
                qtdeclarative5-dev,
                qttools5-dev-tools,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/tea
 Vcs-Git: https://salsa.debian.org/debian/tea.git
 Homepage: https://tea.ourproject.org/

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 %:
 	LC_ALL=C.UTF-8 dh $@ --buildsystem=cmake
+
+generate-manpage:
+	asciidoctor -b manpage debian/tea.adoc

## tea 63.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,10 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTORCC ON)
+
+set(PROJECT "tea-qt")
+project ($PROJECT VERSION 63.3.0 LANGUAGES CXX C)
+
 
 enable_language(CXX)
 enable_language(C)
@@ -32,8 +36,6 @@
 set(CMAKE_AUTOUIC ON)
 
 
-set(PROJECT "tea-qt")
-project ($PROJECT VERSION 63.1.0 LANGUAGES CXX C)
 qt_add_resources(QT_RESOURCES resources.qrc)
 
 add_definitions(-DVERSION_NUMBER="\\"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}\\"")
@@ -41,7 +43,7 @@
 option(USE_NUSPELL "Use Nuspell" OFF)
 option(USE_ASPELL "Use Aspell" OFF)
 option(USE_HUNSPELL "Use Hunspell" ON)
-#option(USE_PRINTER "Use printer support" OFF)
+option(USE_PRINTER "Use printer support" OFF)
 option(USE_PDF "Use libpoppler" OFF)
 option(USE_DJVU "Use djvu support" OFF)
 option(USE_MAC "Build for Mac" OFF)

=== debian/changelog ===
tea (63.3.0-1) unstable; urgency=medium

  * New upstream version 63.3.0
    - Refresh patch
  * Update d/copyright
  * Update Standards-Version to 4.7.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 29 Mar 2025 16:19:38 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                qtdeclarative5-dev,
                qttools5-dev-tools,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/debian/tea
 Vcs-Git: https://salsa.debian.org/debian/tea.git
 Homepage: https://tea.ourproject.org/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tea-$1\.tar\.gz/ \
  https://github.com/psemiletov/tea-qt/tags .*/v?(\d\S+)\.tar\.gz

## tea 63.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 set(CMAKE_AUTORCC ON)
 
 set(PROJECT "tea-qt")
-project ($PROJECT VERSION 63.3.0 LANGUAGES CXX C)
+project ($PROJECT VERSION 63.3.1 LANGUAGES CXX C)
 
 
 enable_language(CXX)

=== debian/changelog ===
tea (63.3.1-1) unstable; urgency=medium

  * New upstream version 63.3.1
    - Refresh patch
  * Update d/watch to v5
  * Remove Rules-Requires-Root from d/control
  * Reformat with wrap-and-sort -astkb
  * Update Standards-Version to 4.7.2, no changes needed
  * Switch from Qt5 to Qt6

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 23 Sep 2025 14:14:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,31 +2,33 @@
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
 Section: editors
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               libaspell-dev,
-               libdjvulibre-dev,
-               libhunspell-dev,
-               libpoppler-qt5-dev,
-               pkgconf,
-               qtbase5-dev,
-               qtdeclarative5-dev,
-               qttools5-dev-tools,
-               zlib1g-dev
-Standards-Version: 4.7.1
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ libaspell-dev,
+ libdjvulibre-dev,
+ libhunspell-dev,
+ libpoppler-qt6-dev,
+ pkgconf,
+ qt6-base-dev,
+ qt6-declarative-dev,
+ qt6-tools-dev-tools,
+ zlib1g-dev,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/tea
 Vcs-Git: https://salsa.debian.org/debian/tea.git
 Homepage: https://tea.ourproject.org/
-Rules-Requires-Root: no
 
 Package: tea
 Architecture: any
-Depends: tea-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: antiword,
-            aspell | hunspell,
-            bzip2
+Depends:
+ tea-data (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ antiword,
+ aspell | hunspell,
+ bzip2,
 Description: graphical text editor with syntax highlighting
  TEA provides you with hundreds of functions. Want some tea?
  .
@@ -53,8 +55,10 @@
 Package: tea-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
-Recommends: tea
+Depends:
+ ${misc:Depends},
+Recommends:
+ tea,
 Description: graphical text editor with syntax highlighting - data files
  TEA provides you with hundreds of functions. Want some tea?
  .

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 
-# Use Qt5
-export QT_SELECT=qt5
 # Use all hardening options
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

=== debian/watch ===
Version: 5

Template: Github
Owner: psemiletov
Project: tea-qt
